/**
 * ========================================
 * JFreeReport : a free Java report library
 * ========================================
 *
 * Project Info:  http://www.object-refinery.com/jfreereport/index.html
 * Project Lead:  Thomas Morgner (taquera@sherito.org);
 *
 * (C) Copyright 2000-2003, by Simba Management Limited and Contributors.
 *
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation;
 * either version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * --------------------------
 * DefaultElementFactory.java
 * --------------------------
 * (C)opyright 2003, by Thomas Morgner and Contributors.
 *
 * Original Author:  Thomas Morgner;
 * Contributor(s):   David Gilbert (for Simba Management Limited);
 *
 * $Id: DefaultElementFactory.java,v 1.5 2003/05/02 12:40:09 taqua Exp $
 *
 * Changes (from 19-Feb-2003)
 * -------------------------
 * 19-Feb-2003 : Added standard header and Javadocs (DG);
 *  
 */

package com.jrefinery.report.io.ext.factory.elements;

import com.jrefinery.report.DrawableElement;
import com.jrefinery.report.ImageElement;
import com.jrefinery.report.ShapeElement;
import com.jrefinery.report.TextElement;

/**
 * A default implementation of the {@link ElementFactory} interface.
 * 
 * @author Thomas Morgner
 */
public class DefaultElementFactory extends AbstractElementFactory
{
  /**
   * Creates a new element factory.
   */
  public DefaultElementFactory()
  {
    registerElement(new TextElement());
    registerElement(new ShapeElement());
    registerElement(new ImageElement());
    registerElement(new DrawableElement());
  }
}
